class ServiceOfLayout {
  constructor(store) {
    this.store = store
  }

  getHeight() {
    return this.store.getters['layout/height']
  }
  getWidth() {
    return this.store.getters['layout/width']
  }
  getIsOpenMenu() {
    return this.store.getters['layout/isOpenMenu']
  }
  getIsShowMenu() {
    return this.store.getters['layout/isShowMenu']
  }
  getIsEnabledMenu() {
    return this.store.getters['layout/isEnabledMenu']
  }

  setIsShowMenu(upd) {
    this.store.dispatch('layout/setIsShowMenu', upd)
  }

  setIsMobileMenuOpened(upd) {
    this.store.dispatch('layout/setIsMobileMenuOpened', upd)
  }

  setIsOpenMenu(upd) {
    this.store.dispatch('layout/setIsOpenMenu', upd)
  }

  setIsEnabledMenu(upd) {
    this.store.dispatch('layout/setIsEnabledMenu', upd)
  }

  toggleMenu() {
    this.store.dispatch('layout/toggleMenu')
  }
}

export default ServiceOfLayout